> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model Metadata Endpoint

> Get model metadata by fetching config from database.

Parameters
----------
model_id : str
    ID of the model
organization_id : str
    Organization ID (from header)
model_repo : ModelRepository
    Model repository dependency
supabase : Client
    Supabase client for loading custom models from storage

Returns
-------
ModelMetadata
    Model metadata with required parameters and groups



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /metadata/model
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /metadata/model:
    get:
      tags:
        - metadata
      summary: Get Model Metadata Endpoint
      description: |-
        Get model metadata by fetching config from database.

        Parameters
        ----------
        model_id : str
            ID of the model
        organization_id : str
            Organization ID (from header)
        model_repo : ModelRepository
            Model repository dependency
        supabase : Client
            Supabase client for loading custom models from storage

        Returns
        -------
        ModelMetadata
            Model metadata with required parameters and groups
      operationId: get_model_metadata_endpoint_metadata_model_get
      parameters:
        - name: model_id
          in: query
          required: true
          schema:
            type: string
            title: Model Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````